DOM::HTMLObjectElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLObjectElement Class Reference

Generic embedded object. More...

`#include <html_object.h>`

Inheritance diagram for DOM::HTMLObjectElement:

[legend]
Collaboration diagram for DOM::HTMLObjectElement:

[legend]
List of all members.

## Public Member Functions
| HTMLObjectElement (const HTMLObjectElement &other)
| HTMLObjectElement (const Node &other)
HTMLObjectElement & | operator= (const HTMLObjectElement &other)
HTMLObjectElement & | operator= (const Node &other)
HTMLFormElement | form () const
| Returns the `FORM` element containing this control.
DOMString | code () const
| Applet class file.
void | setCode (const DOMString &)
| see code
DOMString | align () const
| Aligns this object (vertically or horizontally) with respect to its surrounding text.
void | setAlign (const DOMString &)
| see align
DOMString | archive () const
| Space-separated list of archives.
void | setArchive (const DOMString &)
| see archive
DOMString | border () const
| Width of border around the object.
void | setBorder (const DOMString &)
| see border
DOMString | codeBase () const
| Base URI for `classid` , `data` , and `archive` attributes.
void | setCodeBase (const DOMString &)
| see codeBase
DOMString | codeType () const
| Content type for data downloaded via `classid` attribute.
void | setCodeType (const DOMString &)
| see codeType
DOMString | data () const
| A URI specifying the location of the object's data.
void | setData (const DOMString &)
| see data
bool | declare () const
| Declare (for future reference), but do not instantiate, this object.
void | setDeclare (bool)
| see declare
DOMString | height () const
| Override height.
void | setHeight (const DOMString &)
| see height
long | getHspace () const
| Horizontal space, in pixels, to the left and right of this image, applet, or object.
void | setHspace (long)
| see hspace
DOMString | hspace () const
| This class or method is obsolete, it is provided for compatibility only.
void | setHspace (const DOMString &)
| This class or method is obsolete, it is provided for compatibility only.
DOMString | name () const
| Form control or object name when submitted with a form.
void | setName (const DOMString &)
| see name
DOMString | standby () const
| Message to render while loading the object.
void | setStandby (const DOMString &)
| see standby
long | tabIndex () const
| Index that represents the element's position in the tabbing order.
void | setTabIndex (long)
| see tabIndex
DOMString | type () const
| Content type for data downloaded via `data` attribute.
void | setType (const DOMString &)
| see type
DOMString | useMap () const
| Use client-side image map.
void | setUseMap (const DOMString &)
| see useMap
long | getVspace () const
| Vertical space, in pixels, above and below this image, applet, or object.
void | setVspace (long)
| see vspace
DOMString | vspace () const
| This class or method is obsolete, it is provided for compatibility only.
void | setVspace (const DOMString &)
| This class or method is obsolete, it is provided for compatibility only.
DOMString | width () const
| Override width.
void | setWidth (const DOMString &)
| see width
Document | contentDocument () const
| Introduced in DOM Level 2.
## Protected Member Functions
| HTMLObjectElement (HTMLObjectElementImpl *impl)

## Detailed Description

Generic embedded object.

Note. In principle, all properties on the object element are read-write but in some environments some properties may be read-only once the underlying object is instantiated. See the OBJECT element definition in HTML 4.0.

Definition at line 258 of file html_object.h.

## Member Function Documentation

HTMLFormElement HTMLObjectElement::form | ( |  | ) | const

| Returns the `FORM` element containing this control. Returns null if this control is not within the context of a form. Reimplemented from DOM::Element. Definition at line 233 of file html_object.cpp.

DOMString HTMLObjectElement::code | ( |  | ) | const

| Applet class file. See the `code` attribute for HTMLAppletElement. Definition at line 239 of file html_object.cpp.

void HTMLObjectElement::setCode | ( | const DOMString & |  | ) |

| see code Definition at line 245 of file html_object.cpp.

DOMString HTMLObjectElement::align | ( |  | ) | const

| Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 250 of file html_object.cpp.

void HTMLObjectElement::setAlign | ( | const DOMString & |  | ) |

| see align Definition at line 256 of file html_object.cpp.

DOMString HTMLObjectElement::archive | ( |  | ) | const

| Space-separated list of archives. See the archive attribute definition in HTML 4.0. Definition at line 261 of file html_object.cpp.

void HTMLObjectElement::setArchive | ( | const DOMString & |  | ) |

| see archive Definition at line 267 of file html_object.cpp.

DOMString HTMLObjectElement::border | ( |  | ) | const

| Width of border around the object. See the border attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 272 of file html_object.cpp.

void HTMLObjectElement::setBorder | ( | const DOMString & |  | ) |

| see border Definition at line 278 of file html_object.cpp.

DOMString HTMLObjectElement::codeBase | ( |  | ) | const

| Base URI for `classid` , `data` , and `archive` attributes. See the codebase attribute definition in HTML 4.0. Definition at line 283 of file html_object.cpp.

void HTMLObjectElement::setCodeBase | ( | const DOMString & |  | ) |

| see codeBase Definition at line 289 of file html_object.cpp.

DOMString HTMLObjectElement::codeType | ( |  | ) | const

| Content type for data downloaded via `classid` attribute. See the codetype attribute definition in HTML 4.0. Definition at line 294 of file html_object.cpp.

void HTMLObjectElement::setCodeType | ( | const DOMString & |  | ) |

| see codeType Definition at line 300 of file html_object.cpp.

DOMString HTMLObjectElement::data | ( |  | ) | const

| A URI specifying the location of the object's data. See the data attribute definition in HTML 4.0. Definition at line 305 of file html_object.cpp.

void HTMLObjectElement::setData | ( | const DOMString & |  | ) |

| see data Definition at line 311 of file html_object.cpp.

bool HTMLObjectElement::declare | ( |  | ) | const

| Declare (for future reference), but do not instantiate, this object. See the declare attribute definition in HTML 4.0. Definition at line 316 of file html_object.cpp.

void HTMLObjectElement::setDeclare | ( | bool |  | ) |

| see declare Definition at line 322 of file html_object.cpp.

DOMString HTMLObjectElement::height | ( |  | ) | const

| Override height. See the height attribute definition in HTML 4.0. Definition at line 333 of file html_object.cpp.

void HTMLObjectElement::setHeight | ( | const DOMString & |  | ) |

| see height Definition at line 339 of file html_object.cpp.

long HTMLObjectElement::getHspace | ( |  | ) | const

| Horizontal space, in pixels, to the left and right of this image, applet, or object. See the hspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 355 of file html_object.cpp.

void HTMLObjectElement::setHspace | ( | long |  | ) |

| see hspace Definition at line 361 of file html_object.cpp. References QString::number().

DOMString HTMLObjectElement::hspace | ( |  | ) | const

| This class or method is obsolete, it is provided for compatibility only. Definition at line 344 of file html_object.cpp.

void HTMLObjectElement::setHspace | ( | const DOMString & |  | ) |

| This class or method is obsolete, it is provided for compatibility only. Definition at line 350 of file html_object.cpp.

DOMString HTMLObjectElement::name | ( |  | ) | const

| Form control or object name when submitted with a form. See the name attribute definition in HTML 4.0. Definition at line 366 of file html_object.cpp.

void HTMLObjectElement::setName | ( | const DOMString & |  | ) |

| see name Definition at line 372 of file html_object.cpp.

DOMString HTMLObjectElement::standby | ( |  | ) | const

| Message to render while loading the object. See the standby attribute definition in HTML 4.0. Definition at line 377 of file html_object.cpp.

void HTMLObjectElement::setStandby | ( | const DOMString & |  | ) |

| see standby Definition at line 383 of file html_object.cpp.

long HTMLObjectElement::tabIndex | ( |  | ) | const

| Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0. Definition at line 388 of file html_object.cpp.

void HTMLObjectElement::setTabIndex | ( | long |  | ) |

| see tabIndex Definition at line 394 of file html_object.cpp. References QString::number().

DOMString HTMLObjectElement::type | ( |  | ) | const

| Content type for data downloaded via `data` attribute. See the type attribute definition in HTML 4.0. Definition at line 402 of file html_object.cpp.

void HTMLObjectElement::setType | ( | const DOMString & |  | ) |

| see type Definition at line 408 of file html_object.cpp.

DOMString HTMLObjectElement::useMap | ( |  | ) | const

| Use client-side image map. See the usemap attribute definition in HTML 4.0. Definition at line 413 of file html_object.cpp.

void HTMLObjectElement::setUseMap | ( | const DOMString & |  | ) |

| see useMap Definition at line 419 of file html_object.cpp.

long HTMLObjectElement::getVspace | ( |  | ) | const

| Vertical space, in pixels, above and below this image, applet, or object. See the vspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 435 of file html_object.cpp.

void HTMLObjectElement::setVspace | ( | long |  | ) |

| see vspace Definition at line 441 of file html_object.cpp. References QString::number().

DOMString HTMLObjectElement::vspace | ( |  | ) | const

| This class or method is obsolete, it is provided for compatibility only. Definition at line 424 of file html_object.cpp.

void HTMLObjectElement::setVspace | ( | const DOMString & |  | ) |

| This class or method is obsolete, it is provided for compatibility only. Definition at line 430 of file html_object.cpp.

DOMString HTMLObjectElement::width | ( |  | ) | const

| Override width. See the width attribute definition in HTML 4.0. Definition at line 446 of file html_object.cpp.

void HTMLObjectElement::setWidth | ( | const DOMString & |  | ) |

| see width Definition at line 452 of file html_object.cpp.

Document HTMLObjectElement::contentDocument | ( |  | ) | const

| Introduced in DOM Level 2. Returns the document this iframe contains, if there is any and it is available, a Null document otherwise. The attribute is read-only. Returns: The content Document if available. Definition at line 457 of file html_object.cpp.

The documentation for this class was generated from the following files:

- html_object.h
- html_object.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:39:26 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001